# Method: networks.vehicles.list

Lists the Vehicles.

### HTTP request

`GET https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/vehicles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of vehicles. Format: "networks/{network}" |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of vehicles to return. The service may return fewer than this value. If unspecified, at most 50 vehicles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `vehicles.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `vehicles.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

The response message for `vehicles.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "vehicles": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.vehicles#Vehicle`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `vehicles[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.vehicles#Vehicle`)`` The vehicles from the specified network. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |